/* ************************************************************************** */
/*                                       _____           _                    */
/*  endblock.c                          |_   _|__  _   _| |__   ___ _   _     */
/*  | Project: cake.exe                   | |/ _ \| | | | '_ \ / _ \ | | |    */
/*                                        | | (_) | |_| | | | |  __/ |_| |    */
/*  By: thomas <thomas@touhey.fr>         |_|\___/ \__,_|_| |_|\___|\__, |.fr */
/*  Last updated: 2017/01/16 18:05:41                               |___/     */
/*                                                                            */
/* ************************************************************************** */
/**
 *	endblock:
 *	End block.
 *
 *	"CASIO COMPUTER CO., LTD." and "CESG502" separated with a transmission
 *	escaper, where all characters occupy two bytes.
 *	This block is required to check if the uploaded binary is valid.
 *
 *	Simon Lothar's documentation says the byte after the escape character
 *	is 0x03, this is not a mistake (if you was wondering).
 */

extern char endblock[] __attribute__((section(".end")));
char endblock[] =
"C\0A\0S\0I\0O\0 \0C\0O\0M\0P\0U\0T\0E\0R\0 \0C\0O\0.\0,\0 \0L\0T\0D\0.\0"
"\x10\3"
"C\0E\0S\0G\0""5\0""0\0""2";
